---
title: Gets the content draft by given content reference or unique identifier and language.
slug: cms-12/api/6jpo-gets-the-content-draft-by-given-content-reference-or-unique-identifier-and-language
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "IG89Pi-pf5rcaPmPS5sAq",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/api/episerver/v3.0/contentmanagement/{contentIdentifier}",
    "servers": [],
    "name": "Gets the content draft by given content reference or unique identifier and language.",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "contentIdentifier",
          "type": "string",
          "description": "The content reference or unique identifier of the content item that should be retrieved."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/problem+json"
          ],
          "default": "application/json"
        },
        {
          "kind": "optional",
          "name": "Accept-Language",
          "type": "string",
          "description": "<p>Determines in which language the content should be retrieved. Example: 'en' or 'sv'. Does not support fallback.</p>"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Ok",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Serializable model class for IContent exposed in the Content API.",
            "customType": "content3",
            "schema": [
              {
                "name": "contentLink",
                "kind": "optional",
                "type": "object",
                "description": "Serializable model class for ContentReference.",
                "modelRef": "#/components/schemas/contentReference",
                "customType": "contentReference",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "nullable": true,
                    "description": "Id number of the content.",
                    "format": "int32"
                  },
                  {
                    "name": "workId",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "nullable": true,
                    "description": "The version id of the content.",
                    "format": "int32"
                  },
                  {
                    "name": "guidValue",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "nullable": true,
                    "description": "The unique identifier of the content.",
                    "format": "uuid"
                  },
                  {
                    "name": "providerName",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "The provider name that serves the content."
                  },
                  {
                    "name": "url",
                    "kind": "optional",
                    "type": "string",
                    "readOnly": true,
                    "nullable": true,
                    "description": "Url of the content."
                  },
                  {
                    "name": "language",
                    "kind": "optional",
                    "type": "object",
                    "readOnly": true,
                    "description": "",
                    "complexType": "allOf",
                    "complexItems": [
                      {
                        "name": "language3",
                        "description": "",
                        "modelRef": "#/components/schemas/language3",
                        "schema": [
                          {
                            "name": "displayName",
                            "kind": "optional",
                            "type": "string",
                            "readOnly": true,
                            "nullable": true,
                            "description": "<p>Display name of language. Ex: English, Svenska</p>"
                          },
                          {
                            "name": "name",
                            "kind": "required",
                            "type": "string",
                            "nullable": true,
                            "description": "<p>Name of language. Ex: en, sv</p>"
                          }
                        ]
                      }
                    ],
                    "schema": []
                  }
                ]
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Name of the content."
              },
              {
                "name": "language",
                "kind": "optional",
                "type": "object",
                "description": "Serializable model class for store language information",
                "modelRef": "#/components/schemas/language3",
                "customType": "language3",
                "schema": [
                  {
                    "name": "displayName",
                    "kind": "optional",
                    "type": "string",
                    "readOnly": true,
                    "nullable": true,
                    "description": "<p>Display name of language. Ex: English, Svenska</p>"
                  },
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "<p>Name of language. Ex: en, sv</p>"
                  }
                ]
              },
              {
                "name": "existingLanguages",
                "kind": "optional",
                "type": "array",
                "readOnly": true,
                "nullable": true,
                "description": "The existing languages of the content.",
                "modelRef": "#/components/schemas/language3",
                "customType": "language3[]",
                "schema": [
                  {
                    "name": "displayName",
                    "kind": "optional",
                    "type": "string",
                    "readOnly": true,
                    "nullable": true,
                    "description": "<p>Display name of language. Ex: English, Svenska</p>"
                  },
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "<p>Name of language. Ex: en, sv</p>"
                  }
                ]
              },
              {
                "name": "masterLanguage",
                "kind": "optional",
                "type": "object",
                "readOnly": true,
                "description": "",
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "language3",
                    "description": "",
                    "modelRef": "#/components/schemas/language3",
                    "schema": [
                      {
                        "name": "displayName",
                        "kind": "optional",
                        "type": "string",
                        "readOnly": true,
                        "nullable": true,
                        "description": "<p>Display name of language. Ex: English, Svenska</p>"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "<p>Name of language. Ex: en, sv</p>"
                      }
                    ]
                  }
                ],
                "schema": []
              },
              {
                "name": "contentType",
                "kind": "required",
                "type": "array",
                "nullable": true,
                "description": "Content type of the content.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "parentLink",
                "kind": "required",
                "type": "object",
                "description": "Serializable model class for ContentReference.",
                "modelRef": "#/components/schemas/contentReference",
                "customType": "contentReference",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "nullable": true,
                    "description": "Id number of the content.",
                    "format": "int32"
                  },
                  {
                    "name": "workId",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "nullable": true,
                    "description": "The version id of the content.",
                    "format": "int32"
                  },
                  {
                    "name": "guidValue",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "nullable": true,
                    "description": "The unique identifier of the content.",
                    "format": "uuid"
                  },
                  {
                    "name": "providerName",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "The provider name that serves the content."
                  },
                  {
                    "name": "url",
                    "kind": "optional",
                    "type": "string",
                    "readOnly": true,
                    "nullable": true,
                    "description": "Url of the content."
                  },
                  {
                    "name": "language",
                    "kind": "optional",
                    "type": "object",
                    "readOnly": true,
                    "description": "",
                    "complexType": "allOf",
                    "complexItems": [
                      {
                        "name": "language3",
                        "description": "",
                        "modelRef": "#/components/schemas/language3",
                        "schema": [
                          {
                            "name": "displayName",
                            "kind": "optional",
                            "type": "string",
                            "readOnly": true,
                            "nullable": true,
                            "description": "<p>Display name of language. Ex: English, Svenska</p>"
                          },
                          {
                            "name": "name",
                            "kind": "required",
                            "type": "string",
                            "nullable": true,
                            "description": "<p>Name of language. Ex: en, sv</p>"
                          }
                        ]
                      }
                    ],
                    "schema": []
                  }
                ]
              },
              {
                "name": "routeSegment",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "Route segment of the content."
              },
              {
                "name": "url",
                "kind": "optional",
                "type": "string",
                "readOnly": true,
                "nullable": true,
                "description": "Url of the content."
              },
              {
                "name": "changed",
                "kind": "optional",
                "type": "string<date-time>",
                "readOnly": true,
                "nullable": true,
                "description": "The date when the content was last marked as changed.",
                "format": "date-time"
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string<date-time>",
                "readOnly": true,
                "nullable": true,
                "description": "The datetime when the content was created.",
                "format": "date-time"
              },
              {
                "name": "startPublish",
                "kind": "optional",
                "type": "string<date-time>",
                "nullable": true,
                "description": "The start publish date of the content.",
                "format": "date-time"
              },
              {
                "name": "stopPublish",
                "kind": "optional",
                "type": "string<date-time>",
                "nullable": true,
                "description": "The stop publish date of the content.",
                "format": "date-time"
              },
              {
                "name": "saved",
                "kind": "optional",
                "type": "string<date-time>",
                "readOnly": true,
                "nullable": true,
                "description": "The datetime when the content was last saved.",
                "format": "date-time"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string<Rejected | CheckedIn | CheckedOut | Published | DelayedPublish | AwaitingApproval>",
                "nullable": true,
                "description": "Status of the content.",
                "enum": [
                  "Rejected",
                  "CheckedIn",
                  "CheckedOut",
                  "Published",
                  "DelayedPublish",
                  "AwaitingApproval"
                ]
              }
            ],
            "modelRef": "#/components/schemas/content3",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "S_5uGm5FROu2FRDa48rLf",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /api/episerver/v3.0/contentmanagement/{contentIdentifier} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "IuVxur9RnvDW_1x1cQMCO",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/contentmanagement/{contentIdentifier}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "mjqyPPYfjkdubYrXVY5Zn",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/contentmanagement/{contentIdentifier}\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "2-EHeXcKSEZ7ZPYCrpcJ9",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/contentmanagement/{contentIdentifier}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "S_5uGm5FROu2FRDa48rLf"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Ok\n{\n  \"contentLink\": {\n    \"id\": \"\",\n    \"workId\": \"\",\n    \"guidValue\": \"\",\n    \"providerName\": \"\",\n    \"url\": \"\",\n    \"language\": {}\n  },\n  \"name\": \"\",\n  \"language\": {\n    \"displayName\": \"\",\n    \"name\": \"\"\n  },\n  \"existingLanguages\": [\n    {\n      \"displayName\": \"\",\n      \"name\": \"\"\n    }\n  ],\n  \"masterLanguage\": {},\n  \"contentType\": [\n    \"\"\n  ],\n  \"parentLink\": {\n    \"id\": \"\",\n    \"workId\": \"\",\n    \"guidValue\": \"\",\n    \"providerName\": \"\",\n    \"url\": \"\",\n    \"language\": {}\n  },\n  \"routeSegment\": \"\",\n  \"url\": \"\",\n  \"changed\": \"\",\n  \"created\": \"\",\n  \"startPublish\": \"\",\n  \"stopPublish\": \"\",\n  \"saved\": \"\",\n  \"status\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not found\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}